Bug 245779 - largefiles test fails at 0%
largefiles test fails at 0%
Status: CLOSED NEXTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: TET (Show other bugs)
7.1
All Linux
low Severity low
: ---
: ---
Assigned To: Rich Megginson
Orla Hegarty
:
Depends On:
Blocks: 240316
  Show dependency treegraph
 
Reported: 2007-06-26 13:35 EDT by Michael Gregg
Modified: 2014-08-05 07:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 16:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
result email with the 0% completion report (7.81 KB, text/plain)
2007-06-26 13:35 EDT, Michael Gregg
no flags Details
diff to fix the largefiles stress test (9.87 KB, patch)
2007-06-26 19:48 EDT, Michael Gregg
no flags Details | Diff
final result email showing 100% pass on largefiles test (7.66 KB, message/rfc822)
2007-06-26 19:50 EDT, Michael Gregg
no flags Details
patch to fix the largefiles test version 2 (9.84 KB, patch)
2007-06-27 13:44 EDT, Michael Gregg
no flags Details | Diff
result from cvs commit (208 bytes, text/plain)
2007-06-27 16:29 EDT, Michael Gregg
no flags Details

  None (edit)
Description Michael Gregg 2007-06-26 13:35:52 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Enable the largefiles test

Steps to Reproduce:
1.
2.
3.
  
Actual results:
results in 0% completion


Expected results:
100% completion

Additional info:
Comment 1 Michael Gregg 2007-06-26 13:35:52 EDT
Created attachment 157919 [details]
result email with the 0% completion report
Comment 2 Rich Megginson 2007-06-26 13:41:57 EDT
The test probably needs to be ported to RHDS8.0/FDS1.1.  Most all of the paths
to config files, db files, etc. has changed.  You might want to first ask
Chandra how to get the intermediate test output, where the temp files used to
hold the output are, etc.  and start from there.
Comment 3 Michael Gregg 2007-06-26 13:45:57 EDT
 
I've got a fix for this already. I'm working on figuring out how to get the
checkin reviewed right now, so I can check it in.

I am working with Chandra on this.
Comment 4 Rich Megginson 2007-06-26 13:53:39 EDT
To get the checkin reviewed, follow the procedures listed at
https://idmwiki.sfbay.redhat.com/export/idmwiki/DirSecEngGuidelines#Overview_2

Basically - do a cvs diff -u8 of the code, attach to this bug as a patch
attachment.  Send an email to ldap-devel-list requesting a review.
Comment 5 Michael Gregg 2007-06-26 19:48:09 EDT
Created attachment 157967 [details]
diff to fix the largefiles stress test

This patch fixes the largefiles stress test, and cleans up some formatting
problems with the code.
Comment 6 Michael Gregg 2007-06-26 19:50:47 EDT
Created attachment 157969 [details]
final result email showing 100% pass on largefiles test
Comment 7 Rich Megginson 2007-06-26 22:01:38 EDT
Under finding ldif, I think there is similar logic to find executables elsewhere
in the test code.  You should probably use that logic instead.  Also, you should
not use fedora or fedora-ds.  There is some logic in the tests to define a
$brand or $BRAND variable that should be used in place of fedora or redhat in
path names.

Otherwise, looks good.
Comment 8 Michael Gregg 2007-06-27 13:44:27 EDT
Created attachment 158033 [details]
patch to fix the largefiles test version 2

This is the diff with the updated changes. 
After looking through the code I found a few similar instances of the if ->
elif -> fi method of finding files. Some of them revolved around being
dependant on different OS's, but this method should cover linux, solaris, and
hp-ux well. The only case where this code will fail is when the test is run on
fedora, but that doesn't seem to be a needed.
Comment 9 Rich Megginson 2007-06-27 13:48:16 EDT
(In reply to comment #8)
> This is the diff with the updated changes. 
> After looking through the code I found a few similar instances of the if ->
> elif -> fi method of finding files. Some of them revolved around being
> dependant on different OS's, but this method should cover linux, solaris, and
> hp-ux well. The only case where this code will fail is when the test is run on
> fedora, but that doesn't seem to be a needed.

Looks good.  Why would it fail on fedora?  It should find /usr/bin/ldif on fedora.
Comment 10 Michael Gregg 2007-06-27 13:56:04 EDT
On fedora, the ldif utility gets installed to /opt/fedora-ds/bin/slapd/server/ldif

from what I'm told, on fedora, $PREFIX is "", and $IROOT is /opt/fedora-ds

So, the first test will look in "$IROOT/../bin/slapd/server/ldif" ie,
"/opt/bin/slapd/server/ldif"

the second test will look in /usr/bin/ldif, and the third in /usr/bin/ldif.

none of these will match the install path to the ldif utility. 

If we wanted to support running the stress tests on fedora, I would probably
throw in a test for looking in $LDAPTOOLS/ldif, but I'm told that running these
stress tests isn't something we want to do, so I left it out.
Comment 11 Rich Megginson 2007-06-27 14:01:12 EDT
(In reply to comment #10)
> On fedora, the ldif utility gets installed to /opt/fedora-ds/bin/slapd/server/ldif

Ok.  That's Fedora DS 1.0.x.  Fedora DS 1.1 (which is what we are currently
testing - fedora-ds-base) will install in /usr/bin.

> 
> from what I'm told, on fedora, $PREFIX is "", and $IROOT is /opt/fedora-ds

IROOT should be a server instance directory e.g. /opt/fedora-ds/slapd-localhost
> 
> So, the first test will look in "$IROOT/../bin/slapd/server/ldif" ie,
> "/opt/bin/slapd/server/ldif"
> 
> the second test will look in /usr/bin/ldif, and the third in /usr/bin/ldif.
> 
> none of these will match the install path to the ldif utility. 
> 
> If we wanted to support running the stress tests on fedora, I would probably
> throw in a test for looking in $LDAPTOOLS/ldif, but I'm told that running these
> stress tests isn't something we want to do, so I left it out.

Ok.
Comment 12 Michael Gregg 2007-06-27 16:29:26 EDT
Created attachment 158057 [details]
result from cvs commit
Comment 13 Michael Gregg 2007-06-27 16:38:22 EDT
I'm closing this bug. 

I'll send out a update to the ldap-devel-list.

Thanks for the review Rich.
Comment 14 Chandrasekar Kannan 2008-08-11 19:52:44 EDT
Bug already CLOSED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.